<?xml version="1.0" encoding="UTF-8"?>

<!-- XSLT stylesheet for XTube -->
<xsl:stylesheet exclude-result-prefixes="xalan" version="1.0" xmlns:xalan="http://xml.apache.org/xslt" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    
    <!-- format output -->
    <xsl:output encoding="UTF-8" indent="yes" method="xml" xalan:indent-amount="4"/>

    <!-- parameter specifying mode of production -->
    <xsl:param name="mode"/>

    <!-- match the root by default -->
    <xsl:template match="/">

        <!-- proceed in desired mode -->
        <xsl:choose>

            <!-- produce XHTML 1.0 Transitional -->
            <xsl:when test="$mode='xhtml'">
                <xsl:text disable-output-escaping="yes"><![CDATA[<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">]]></xsl:text>
                <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
                    <head>
                        <title>XTube</title>
                    </head>
                    <body>
                        <!-- TODO -->
                    </body>
                </html>
            </xsl:when>

            <!-- produce SVG 1.1 -->
            <xsl:when test="$mode='svg'">
                <xsl:text disable-output-escaping="yes"><![CDATA[<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">]]></xsl:text>
                <svg xmlns="http://www.w3.org/2000/svg">
                    <!-- TODO -->
                </svg>
            </xsl:when>

            <xsl:otherwise>You have failed to specify a valid mode.</xsl:otherwise>

        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>

